Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Enable LTO
%global optflags        %{optflags} -flto=$(nproc)
%global build_ldflags   %{build_ldflags} -flto

%global commit      e982347664b4071ab75b86dfeb5de9cf125be64d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20190217

Name:           gnome-radio
Version:        0.1.0
Release:        alt1_4.%{date}git%{shortcommit}
Summary:        GNOME Radio

License:        GPLv3+
URL:            http://gnomeradio.org
Source0:        https://gitlab.gnome.org/ole/gnome-radio/-/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
# BuildRequires:  desktop-file-utils
BuildRequires:  gcc
# BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.12.10
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-player-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 1.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.30
Source44: import.info
# Requires:       hicolor-icon-theme

%description
GNOME Radio is a free network radio software for the GNOME desktop.

%prep
%setup -q -n %{name}-%{commit}


%build
autoreconf
automake --add-missing
%configure
%make_build

%install
%makeinstall_std

%files
%doc --no-dereference COPYING
%doc README AUTHORS
%{_bindir}/%{name}

%changelog
* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4.20190217gite982347
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_2.20190217gite982347
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_1.20190217gite982347
- new version

